diff --git a/base/server/python/pki/server/deployment/pkiparser.py b/base/server/python/pki/server/deployment/pkiparser.py
index 2759ceeefd928c387e3d8fcf23d468640b7af41a..620c9bdb5de219b0ebdaa95c48facb627b4a76cd 100644
--- a/base/server/python/pki/server/deployment/pkiparser.py
+++ b/base/server/python/pki/server/deployment/pkiparser.py
@@ -531,410 +531,410 @@ class PKIConfigParser:
         "Create a single master PKI dictionary from the sectional dictionaries"
         try:
             # 'pkispawn'/'pkidestroy' name/value pairs
-            self.pki_master_dict['pki_deployment_executable'] = \
+            self.mdict['pki_deployment_executable'] = \
                 config.pki_deployment_executable
-            self.pki_master_dict['pki_install_time'] = config.pki_install_time
-            self.pki_master_dict['pki_timestamp'] = config.pki_timestamp
-            self.pki_master_dict['pki_certificate_timestamp'] = \
+            self.mdict['pki_install_time'] = config.pki_install_time
+            self.mdict['pki_timestamp'] = config.pki_timestamp
+            self.mdict['pki_certificate_timestamp'] = \
                 config.pki_certificate_timestamp
-            self.pki_master_dict['pki_architecture'] = config.pki_architecture
-            self.pki_master_dict['pki_default_deployment_cfg'] = config.default_deployment_cfg
-            self.pki_master_dict['pki_user_deployment_cfg'] = config.user_deployment_cfg
-            self.pki_master_dict['pki_deployed_instance_name'] = \
+            self.mdict['pki_architecture'] = config.pki_architecture
+            self.mdict['pki_default_deployment_cfg'] = config.default_deployment_cfg
+            self.mdict['pki_user_deployment_cfg'] = config.user_deployment_cfg
+            self.mdict['pki_deployed_instance_name'] = \
                 config.pki_deployed_instance_name
             # Generate random 'pin's for use as security database passwords
             # and add these to the "sensitive" key value pairs read in from
             # the configuration file
             pin_low = 100000000000
             pin_high = 999999999999
-            self.pki_master_dict['pki_pin'] = \
+            self.mdict['pki_pin'] = \
                 random.randint(pin_low, pin_high)
-            self.pki_master_dict['pki_client_pin'] = \
+            self.mdict['pki_client_pin'] = \
                 random.randint(pin_low, pin_high)
 
             self.flatten_master_dict()
 
-            pkilogging.sensitive_parameters = self.pki_master_dict['sensitive_parameters'].split()
+            pkilogging.sensitive_parameters = self.mdict['sensitive_parameters'].split()
 
             # Always create "false" values for these missing "boolean" keys
-            if not self.pki_master_dict.has_key('pki_enable_access_log') or\
-               not len(self.pki_master_dict['pki_enable_access_log']):
-                self.pki_master_dict['pki_enable_access_log'] = "false"
-            if not self.pki_master_dict.has_key('pki_external') or\
-               not len(self.pki_master_dict['pki_external']):
-                self.pki_master_dict['pki_external'] = "false"
-            if not self.pki_master_dict.has_key('pki_external_step_two') or\
-               not len(self.pki_master_dict['pki_external_step_two']):
-                self.pki_master_dict['pki_external_step_two'] = "false"
-            if not self.pki_master_dict.has_key('pki_standalone') or\
-               not len(self.pki_master_dict['pki_standalone']):
-                self.pki_master_dict['pki_standalone'] = "false"
-            if not self.pki_master_dict.has_key('pki_subordinate') or\
-               not len(self.pki_master_dict['pki_subordinate']):
-                self.pki_master_dict['pki_subordinate'] = "false"
+            if not self.mdict.has_key('pki_enable_access_log') or\
+               not len(self.mdict['pki_enable_access_log']):
+                self.mdict['pki_enable_access_log'] = "false"
+            if not self.mdict.has_key('pki_external') or\
+               not len(self.mdict['pki_external']):
+                self.mdict['pki_external'] = "false"
+            if not self.mdict.has_key('pki_external_step_two') or\
+               not len(self.mdict['pki_external_step_two']):
+                self.mdict['pki_external_step_two'] = "false"
+            if not self.mdict.has_key('pki_standalone') or\
+               not len(self.mdict['pki_standalone']):
+                self.mdict['pki_standalone'] = "false"
+            if not self.mdict.has_key('pki_subordinate') or\
+               not len(self.mdict['pki_subordinate']):
+                self.mdict['pki_subordinate'] = "false"
 
             # PKI Target (slot substitution) name/value pairs
-            self.pki_master_dict['pki_target_cs_cfg'] = \
+            self.mdict['pki_target_cs_cfg'] = \
                 os.path.join(
-                    self.pki_master_dict['pki_subsystem_configuration_path'],
+                    self.mdict['pki_subsystem_configuration_path'],
                     "CS.cfg")
-            self.pki_master_dict['pki_target_registry'] = \
-                os.path.join(self.pki_master_dict['pki_instance_registry_path'],
-                             self.pki_master_dict['pki_instance_name'])
-            if (config.str2bool(self.pki_master_dict['pki_external_step_two'])):
+            self.mdict['pki_target_registry'] = \
+                os.path.join(self.mdict['pki_instance_registry_path'],
+                             self.mdict['pki_instance_name'])
+            if (config.str2bool(self.mdict['pki_external_step_two'])):
                 # For CA (External CA Step 2) and Stand-alone PKI (Step 2),
                 # use the 'pki_one_time_pin' established during the setup
                 # of (Step 1)
-                if os.path.exists(self.pki_master_dict['pki_target_cs_cfg'])\
+                if os.path.exists(self.mdict['pki_target_cs_cfg'])\
                    and\
-                   os.path.isfile(self.pki_master_dict['pki_target_cs_cfg']):
+                   os.path.isfile(self.mdict['pki_target_cs_cfg']):
                     cs_cfg = self.read_simple_configuration_file(
-                                 self.pki_master_dict['pki_target_cs_cfg'])
-                    self.pki_master_dict['pki_one_time_pin'] = \
+                                 self.mdict['pki_target_cs_cfg'])
+                    self.mdict['pki_one_time_pin'] = \
                         cs_cfg.get('preop.pin')
                 else:
                     config.pki_log.error(log.PKI_FILE_MISSING_OR_NOT_A_FILE_1,
-                        self.pki_master_dict['pki_target_cs_cfg'],
+                        self.mdict['pki_target_cs_cfg'],
                         extra=config.PKI_INDENTATION_LEVEL_2)
                     raise Exception(log.PKI_FILE_MISSING_OR_NOT_A_FILE_1)
             else:
                 # Generate a one-time pin to be used prior to configuration
                 # and add this to the "sensitive" key value pairs read in from
                 # the configuration file
-                self.pki_master_dict['pki_one_time_pin'] = \
+                self.mdict['pki_one_time_pin'] = \
                     ''.join(random.choice(string.ascii_letters + string.digits)\
                     for x in range(20))
-            if self.pki_master_dict['pki_subsystem'] in\
+            if self.mdict['pki_subsystem'] in\
                config.PKI_TOMCAT_SUBSYSTEMS:
-                self.pki_master_dict['pki_target_catalina_properties'] = \
+                self.mdict['pki_target_catalina_properties'] = \
                     os.path.join(
-                        self.pki_master_dict['pki_instance_configuration_path'],
+                        self.mdict['pki_instance_configuration_path'],
                         "catalina.properties")
-                self.pki_master_dict['pki_target_servercertnick_conf'] = \
+                self.mdict['pki_target_servercertnick_conf'] = \
                     os.path.join(
-                        self.pki_master_dict['pki_instance_configuration_path'],
+                        self.mdict['pki_instance_configuration_path'],
                         "serverCertNick.conf")
-                self.pki_master_dict['pki_target_server_xml'] = \
+                self.mdict['pki_target_server_xml'] = \
                     os.path.join(
-                        self.pki_master_dict['pki_instance_configuration_path'],
+                        self.mdict['pki_instance_configuration_path'],
                         "server.xml")
-                self.pki_master_dict['pki_target_context_xml'] = \
+                self.mdict['pki_target_context_xml'] = \
                     os.path.join(
-                        self.pki_master_dict['pki_instance_configuration_path'],
+                        self.mdict['pki_instance_configuration_path'],
                         "context.xml")
-                self.pki_master_dict['pki_target_tomcat_conf_instance_id'] = \
-                    self.pki_master_dict['pki_root_prefix'] + \
+                self.mdict['pki_target_tomcat_conf_instance_id'] = \
+                    self.mdict['pki_root_prefix'] + \
                     "/etc/sysconfig/" + \
-                    self.pki_master_dict['pki_instance_name']
-                self.pki_master_dict['pki_target_tomcat_conf'] = \
+                    self.mdict['pki_instance_name']
+                self.mdict['pki_target_tomcat_conf'] = \
                     os.path.join(
-                        self.pki_master_dict['pki_instance_configuration_path'],
+                        self.mdict['pki_instance_configuration_path'],
                         "tomcat.conf")
                 # in-place slot substitution name/value pairs
-                self.pki_master_dict['pki_target_velocity_properties'] = \
+                self.mdict['pki_target_velocity_properties'] = \
                     os.path.join(
-                        self.pki_master_dict['pki_tomcat_webapps_subsystem_path'],
+                        self.mdict['pki_tomcat_webapps_subsystem_path'],
                         "WEB-INF",
                         "velocity.properties")
-                self.pki_master_dict['pki_target_subsystem_web_xml'] = \
+                self.mdict['pki_target_subsystem_web_xml'] = \
                     os.path.join(
-                        self.pki_master_dict['pki_tomcat_webapps_subsystem_path'],
+                        self.mdict['pki_tomcat_webapps_subsystem_path'],
                         "WEB-INF",
                         "web.xml")
-                self.pki_master_dict['pki_target_subsystem_web_xml_orig'] = \
+                self.mdict['pki_target_subsystem_web_xml_orig'] = \
                     os.path.join(
-                        self.pki_master_dict['pki_tomcat_webapps_subsystem_path'],
+                        self.mdict['pki_tomcat_webapps_subsystem_path'],
                         "WEB-INF",
                         "web.xml.orig")
                 # subystem-specific slot substitution name/value pairs
-                if self.pki_master_dict['pki_subsystem'] == "CA":
-                    self.pki_master_dict['pki_target_flatfile_txt'] = \
-                        os.path.join(self.pki_master_dict\
+                if self.mdict['pki_subsystem'] == "CA":
+                    self.mdict['pki_target_flatfile_txt'] = \
+                        os.path.join(self.mdict\
                                      ['pki_subsystem_configuration_path'],
                                      "flatfile.txt")
-                    self.pki_master_dict['pki_target_proxy_conf'] = \
-                        os.path.join(self.pki_master_dict\
+                    self.mdict['pki_target_proxy_conf'] = \
+                        os.path.join(self.mdict\
                                      ['pki_subsystem_configuration_path'],
                                      "proxy.conf")
-                    self.pki_master_dict['pki_target_registry_cfg'] = \
-                        os.path.join(self.pki_master_dict\
+                    self.mdict['pki_target_registry_cfg'] = \
+                        os.path.join(self.mdict\
                                      ['pki_subsystem_configuration_path'],
                                      "registry.cfg")
                     # '*.profile'
-                    self.pki_master_dict['pki_target_admincert_profile'] = \
-                        os.path.join(self.pki_master_dict\
+                    self.mdict['pki_target_admincert_profile'] = \
+                        os.path.join(self.mdict\
                                      ['pki_subsystem_configuration_path'],
                                      "adminCert.profile")
-                    self.pki_master_dict['pki_target_caauditsigningcert_profile']\
- = os.path.join(self.pki_master_dict\
+                    self.mdict['pki_target_caauditsigningcert_profile']\
+ = os.path.join(self.mdict\
                                        ['pki_subsystem_configuration_path'],
                                        "caAuditSigningCert.profile")
-                    self.pki_master_dict['pki_target_cacert_profile'] = \
-                        os.path.join(self.pki_master_dict\
+                    self.mdict['pki_target_cacert_profile'] = \
+                        os.path.join(self.mdict\
                                      ['pki_subsystem_configuration_path'],
                                      "caCert.profile")
-                    self.pki_master_dict['pki_target_caocspcert_profile'] = \
-                        os.path.join(self.pki_master_dict\
+                    self.mdict['pki_target_caocspcert_profile'] = \
+                        os.path.join(self.mdict\
                                      ['pki_subsystem_configuration_path'],
                                      "caOCSPCert.profile")
-                    self.pki_master_dict['pki_target_servercert_profile'] = \
-                        os.path.join(self.pki_master_dict\
+                    self.mdict['pki_target_servercert_profile'] = \
+                        os.path.join(self.mdict\
                                      ['pki_subsystem_configuration_path'],
                                      "serverCert.profile")
-                    self.pki_master_dict['pki_target_subsystemcert_profile'] = \
-                        os.path.join(self.pki_master_dict\
+                    self.mdict['pki_target_subsystemcert_profile'] = \
+                        os.path.join(self.mdict\
                                      ['pki_subsystem_configuration_path'],
                                      "subsystemCert.profile")
                     # in-place slot substitution name/value pairs
-                    self.pki_master_dict['pki_target_profileselect_template'] = \
+                    self.mdict['pki_target_profileselect_template'] = \
                         os.path.join(
-                            self.pki_master_dict\
+                            self.mdict\
                             ['pki_tomcat_webapps_subsystem_path'],
                             "ee",
-                            self.pki_master_dict['pki_subsystem'].lower(),
+                            self.mdict['pki_subsystem'].lower(),
                             "ProfileSelect.template")
-                elif self.pki_master_dict['pki_subsystem'] == "KRA":
+                elif self.mdict['pki_subsystem'] == "KRA":
                     # '*.profile'
-                    self.pki_master_dict['pki_target_servercert_profile'] = \
-                        os.path.join(self.pki_master_dict\
+                    self.mdict['pki_target_servercert_profile'] = \
+                        os.path.join(self.mdict\
                                      ['pki_subsystem_configuration_path'],
                                      "serverCert.profile")
-                    self.pki_master_dict['pki_target_storagecert_profile'] = \
-                        os.path.join(self.pki_master_dict\
+                    self.mdict['pki_target_storagecert_profile'] = \
+                        os.path.join(self.mdict\
                                      ['pki_subsystem_configuration_path'],
                                      "storageCert.profile")
-                    self.pki_master_dict['pki_target_subsystemcert_profile'] = \
-                        os.path.join(self.pki_master_dict\
+                    self.mdict['pki_target_subsystemcert_profile'] = \
+                        os.path.join(self.mdict\
                                      ['pki_subsystem_configuration_path'],
                                      "subsystemCert.profile")
-                    self.pki_master_dict['pki_target_transportcert_profile'] = \
-                        os.path.join(self.pki_master_dict\
+                    self.mdict['pki_target_transportcert_profile'] = \
+                        os.path.join(self.mdict\
                                      ['pki_subsystem_configuration_path'],
                                      "transportCert.profile")
-                elif self.pki_master_dict['pki_subsystem'] == "TPS":
-                    self.pki_master_dict['pki_target_registry_cfg'] = \
-                        os.path.join(self.pki_master_dict\
+                elif self.mdict['pki_subsystem'] == "TPS":
+                    self.mdict['pki_target_registry_cfg'] = \
+                        os.path.join(self.mdict\
                                      ['pki_subsystem_configuration_path'],
                                      "registry.cfg")
-                    self.pki_master_dict['pki_target_phone_home_xml'] = \
+                    self.mdict['pki_target_phone_home_xml'] = \
                         os.path.join(
-                            self.pki_master_dict['pki_subsystem_configuration_path'],
+                            self.mdict['pki_subsystem_configuration_path'],
                             "phoneHome.xml")
 
             # Slot assignment name/value pairs
             #     NOTE:  Master key == Slots key; Master value ==> Slots value
-            self.pki_master_dict['PKI_INSTANCE_NAME_SLOT'] = \
-                self.pki_master_dict['pki_instance_name']
-            self.pki_master_dict['PKI_INSTANCE_INITSCRIPT_SLOT'] = \
-                os.path.join(self.pki_master_dict['pki_instance_path'],
-                             self.pki_master_dict['pki_instance_name'])
-            self.pki_master_dict['PKI_REGISTRY_FILE_SLOT'] = \
-                os.path.join(self.pki_master_dict['pki_subsystem_registry_path'],
-                             self.pki_master_dict['pki_instance_name'])
-            if self.pki_master_dict['pki_subsystem'] in\
+            self.mdict['PKI_INSTANCE_NAME_SLOT'] = \
+                self.mdict['pki_instance_name']
+            self.mdict['PKI_INSTANCE_INITSCRIPT_SLOT'] = \
+                os.path.join(self.mdict['pki_instance_path'],
+                             self.mdict['pki_instance_name'])
+            self.mdict['PKI_REGISTRY_FILE_SLOT'] = \
+                os.path.join(self.mdict['pki_subsystem_registry_path'],
+                             self.mdict['pki_instance_name'])
+            if self.mdict['pki_subsystem'] in\
                config.PKI_APACHE_SUBSYSTEMS:
-                self.pki_master_dict['FORTITUDE_APACHE_SLOT'] = None
-                self.pki_master_dict['FORTITUDE_AUTH_MODULES_SLOT'] = None
-                self.pki_master_dict['FORTITUDE_DIR_SLOT'] = None
-                self.pki_master_dict['FORTITUDE_LIB_DIR_SLOT'] = None
-                self.pki_master_dict['FORTITUDE_MODULE_SLOT'] = None
-                self.pki_master_dict['FORTITUDE_NSS_MODULES_SLOT'] = None
-                self.pki_master_dict['HTTPD_CONF_SLOT'] = None
-                self.pki_master_dict['LIB_PREFIX_SLOT'] = None
-                self.pki_master_dict['NON_CLIENTAUTH_SECURE_PORT_SLOT'] = None
-                self.pki_master_dict['NSS_CONF_SLOT'] = None
-                self.pki_master_dict['OBJ_EXT_SLOT'] = None
-                self.pki_master_dict['PKI_LOCKDIR_SLOT'] = \
+                self.mdict['FORTITUDE_APACHE_SLOT'] = None
+                self.mdict['FORTITUDE_AUTH_MODULES_SLOT'] = None
+                self.mdict['FORTITUDE_DIR_SLOT'] = None
+                self.mdict['FORTITUDE_LIB_DIR_SLOT'] = None
+                self.mdict['FORTITUDE_MODULE_SLOT'] = None
+                self.mdict['FORTITUDE_NSS_MODULES_SLOT'] = None
+                self.mdict['HTTPD_CONF_SLOT'] = None
+                self.mdict['LIB_PREFIX_SLOT'] = None
+                self.mdict['NON_CLIENTAUTH_SECURE_PORT_SLOT'] = None
+                self.mdict['NSS_CONF_SLOT'] = None
+                self.mdict['OBJ_EXT_SLOT'] = None
+                self.mdict['PKI_LOCKDIR_SLOT'] = \
                     os.path.join("/var/lock/pki",
                                  "apache")
-                self.pki_master_dict['PKI_PIDDIR_SLOT'] = \
+                self.mdict['PKI_PIDDIR_SLOT'] = \
                     os.path.join("/var/run/pki",
                                  "apache")
-                self.pki_master_dict['PKI_WEB_SERVER_TYPE_SLOT'] = "apache"
-                self.pki_master_dict['PORT_SLOT'] = None
-                self.pki_master_dict['PROCESS_ID_SLOT'] = None
-                self.pki_master_dict['REQUIRE_CFG_PL_SLOT'] = None
-                self.pki_master_dict['SECURE_PORT_SLOT'] = None
-                self.pki_master_dict['SECURITY_LIBRARIES_SLOT'] = None
-                self.pki_master_dict['PKI_HOSTNAME_SLOT'] = None
-                self.pki_master_dict['SERVER_ROOT_SLOT'] = None
-                self.pki_master_dict['SYSTEM_LIBRARIES_SLOT'] = None
-                self.pki_master_dict['SYSTEM_USER_LIBRARIES_SLOT'] = None
-                self.pki_master_dict['TMP_DIR_SLOT'] = None
-            elif self.pki_master_dict['pki_subsystem'] in\
+                self.mdict['PKI_WEB_SERVER_TYPE_SLOT'] = "apache"
+                self.mdict['PORT_SLOT'] = None
+                self.mdict['PROCESS_ID_SLOT'] = None
+                self.mdict['REQUIRE_CFG_PL_SLOT'] = None
+                self.mdict['SECURE_PORT_SLOT'] = None
+                self.mdict['SECURITY_LIBRARIES_SLOT'] = None
+                self.mdict['PKI_HOSTNAME_SLOT'] = None
+                self.mdict['SERVER_ROOT_SLOT'] = None
+                self.mdict['SYSTEM_LIBRARIES_SLOT'] = None
+                self.mdict['SYSTEM_USER_LIBRARIES_SLOT'] = None
+                self.mdict['TMP_DIR_SLOT'] = None
+            elif self.mdict['pki_subsystem'] in\
                  config.PKI_TOMCAT_SUBSYSTEMS:
-                self.pki_master_dict['INSTALL_TIME_SLOT'] = \
-                    self.pki_master_dict['pki_install_time']
-                self.pki_master_dict['PKI_ADMIN_SECURE_PORT_SLOT'] = \
-                    self.pki_master_dict['pki_https_port']
-                self.pki_master_dict\
+                self.mdict['INSTALL_TIME_SLOT'] = \
+                    self.mdict['pki_install_time']
+                self.mdict['PKI_ADMIN_SECURE_PORT_SLOT'] = \
+                    self.mdict['pki_https_port']
+                self.mdict\
                 ['PKI_ADMIN_SECURE_PORT_CONNECTOR_NAME_SLOT'] = \
                     "Unused"
-                self.pki_master_dict\
+                self.mdict\
                 ['PKI_ADMIN_SECURE_PORT_SERVER_COMMENT_SLOT'] = \
                     ""
-                self.pki_master_dict['PKI_AGENT_CLIENTAUTH_SLOT'] = \
+                self.mdict['PKI_AGENT_CLIENTAUTH_SLOT'] = \
                     "want"
-                self.pki_master_dict['PKI_AGENT_SECURE_PORT_SLOT'] = \
-                    self.pki_master_dict['pki_https_port']
-                self.pki_master_dict['PKI_AJP_PORT_SLOT'] = \
-                    self.pki_master_dict['pki_ajp_port']
-                self.pki_master_dict['PKI_AJP_REDIRECT_PORT_SLOT'] = \
-                    self.pki_master_dict['pki_https_port']
-                self.pki_master_dict['PKI_CA_HOSTNAME_SLOT'] = \
-                    self.pki_master_dict['pki_ca_hostname']
-                self.pki_master_dict['PKI_CA_PORT_SLOT'] = \
-                    self.pki_master_dict['pki_ca_port']
-                self.pki_master_dict['PKI_CERT_DB_PASSWORD_SLOT'] = \
-                    self.pki_master_dict['pki_pin']
-                self.pki_master_dict['PKI_CFG_PATH_NAME_SLOT'] = \
-                    self.pki_master_dict['pki_target_cs_cfg']
-                self.pki_master_dict\
+                self.mdict['PKI_AGENT_SECURE_PORT_SLOT'] = \
+                    self.mdict['pki_https_port']
+                self.mdict['PKI_AJP_PORT_SLOT'] = \
+                    self.mdict['pki_ajp_port']
+                self.mdict['PKI_AJP_REDIRECT_PORT_SLOT'] = \
+                    self.mdict['pki_https_port']
+                self.mdict['PKI_CA_HOSTNAME_SLOT'] = \
+                    self.mdict['pki_ca_hostname']
+                self.mdict['PKI_CA_PORT_SLOT'] = \
+                    self.mdict['pki_ca_port']
+                self.mdict['PKI_CERT_DB_PASSWORD_SLOT'] = \
+                    self.mdict['pki_pin']
+                self.mdict['PKI_CFG_PATH_NAME_SLOT'] = \
+                    self.mdict['pki_target_cs_cfg']
+                self.mdict\
                 ['PKI_CLOSE_SEPARATE_PORTS_SERVER_COMMENT_SLOT'] = \
                     "-->"
-                self.pki_master_dict\
+                self.mdict\
                 ['PKI_CLOSE_SEPARATE_PORTS_WEB_COMMENT_SLOT'] = \
                     "-->"
-                self.pki_master_dict['PKI_EE_SECURE_CLIENT_AUTH_PORT_SLOT'] = \
-                    self.pki_master_dict['pki_https_port']
-                self.pki_master_dict\
+                self.mdict['PKI_EE_SECURE_CLIENT_AUTH_PORT_SLOT'] = \
+                    self.mdict['pki_https_port']
+                self.mdict\
                 ['PKI_EE_SECURE_CLIENT_AUTH_PORT_CONNECTOR_NAME_SLOT'] = \
                     "Unused"
-                self.pki_master_dict\
+                self.mdict\
                 ['PKI_EE_SECURE_CLIENT_AUTH_PORT_SERVER_COMMENT_SLOT'] = \
                     ""
-                self.pki_master_dict['PKI_EE_SECURE_CLIENT_AUTH_PORT_UI_SLOT'] = \
-                    self.pki_master_dict['pki_https_port']
-                self.pki_master_dict['PKI_EE_SECURE_PORT_SLOT'] = \
-                    self.pki_master_dict['pki_https_port']
-                self.pki_master_dict['PKI_EE_SECURE_PORT_CONNECTOR_NAME_SLOT'] = \
+                self.mdict['PKI_EE_SECURE_CLIENT_AUTH_PORT_UI_SLOT'] = \
+                    self.mdict['pki_https_port']
+                self.mdict['PKI_EE_SECURE_PORT_SLOT'] = \
+                    self.mdict['pki_https_port']
+                self.mdict['PKI_EE_SECURE_PORT_CONNECTOR_NAME_SLOT'] = \
                     "Unused"
-                self.pki_master_dict['PKI_EE_SECURE_PORT_SERVER_COMMENT_SLOT'] = \
+                self.mdict['PKI_EE_SECURE_PORT_SERVER_COMMENT_SLOT'] = \
                     ""
-                self.pki_master_dict['PKI_GROUP_SLOT'] = \
-                    self.pki_master_dict['pki_group']
-                self.pki_master_dict['PKI_INSTANCE_PATH_SLOT'] = \
-                    self.pki_master_dict['pki_instance_path']
-                self.pki_master_dict['PKI_INSTANCE_ROOT_SLOT'] = \
-                    self.pki_master_dict['pki_path']
-                self.pki_master_dict['PKI_LOCKDIR_SLOT'] = \
+                self.mdict['PKI_GROUP_SLOT'] = \
+                    self.mdict['pki_group']
+                self.mdict['PKI_INSTANCE_PATH_SLOT'] = \
+                    self.mdict['pki_instance_path']
+                self.mdict['PKI_INSTANCE_ROOT_SLOT'] = \
+                    self.mdict['pki_path']
+                self.mdict['PKI_LOCKDIR_SLOT'] = \
                     os.path.join("/var/lock/pki",
                                  "tomcat")
-                self.pki_master_dict['PKI_HOSTNAME_SLOT'] = \
-                    self.pki_master_dict['pki_hostname']
-                self.pki_master_dict\
+                self.mdict['PKI_HOSTNAME_SLOT'] = \
+                    self.mdict['pki_hostname']
+                self.mdict\
                 ['PKI_OPEN_SEPARATE_PORTS_SERVER_COMMENT_SLOT'] = \
                     "<!--"
-                self.pki_master_dict\
+                self.mdict\
                 ['PKI_OPEN_SEPARATE_PORTS_WEB_COMMENT_SLOT'] = \
                     "<!--"
-                self.pki_master_dict['PKI_PIDDIR_SLOT'] = \
+                self.mdict['PKI_PIDDIR_SLOT'] = \
                     os.path.join("/var/run/pki",
                                  "tomcat")
-                if config.str2bool(self.pki_master_dict['pki_enable_proxy']):
-                    self.pki_master_dict['PKI_CLOSE_AJP_PORT_COMMENT_SLOT'] = \
+                if config.str2bool(self.mdict['pki_enable_proxy']):
+                    self.mdict['PKI_CLOSE_AJP_PORT_COMMENT_SLOT'] = \
                         ""
-                    self.pki_master_dict['PKI_CLOSE_ENABLE_PROXY_COMMENT_SLOT'] = \
+                    self.mdict['PKI_CLOSE_ENABLE_PROXY_COMMENT_SLOT'] = \
                         ""
-                    self.pki_master_dict['PKI_PROXY_SECURE_PORT_SLOT'] = \
-                        self.pki_master_dict['pki_proxy_https_port']
-                    self.pki_master_dict['PKI_PROXY_UNSECURE_PORT_SLOT'] = \
-                        self.pki_master_dict['pki_proxy_http_port']
-                    self.pki_master_dict['PKI_OPEN_AJP_PORT_COMMENT_SLOT'] = \
+                    self.mdict['PKI_PROXY_SECURE_PORT_SLOT'] = \
+                        self.mdict['pki_proxy_https_port']
+                    self.mdict['PKI_PROXY_UNSECURE_PORT_SLOT'] = \
+                        self.mdict['pki_proxy_http_port']
+                    self.mdict['PKI_OPEN_AJP_PORT_COMMENT_SLOT'] = \
                         ""
-                    self.pki_master_dict['PKI_OPEN_ENABLE_PROXY_COMMENT_SLOT'] = \
+                    self.mdict['PKI_OPEN_ENABLE_PROXY_COMMENT_SLOT'] = \
                         ""
                 else:
-                    self.pki_master_dict['PKI_CLOSE_AJP_PORT_COMMENT_SLOT'] = \
+                    self.mdict['PKI_CLOSE_AJP_PORT_COMMENT_SLOT'] = \
                         "-->"
-                    self.pki_master_dict['PKI_CLOSE_ENABLE_PROXY_COMMENT_SLOT'] = \
+                    self.mdict['PKI_CLOSE_ENABLE_PROXY_COMMENT_SLOT'] = \
                         "-->"
-                    self.pki_master_dict['PKI_PROXY_SECURE_PORT_SLOT'] = ""
-                    self.pki_master_dict['PKI_PROXY_UNSECURE_PORT_SLOT'] = ""
-                    self.pki_master_dict['PKI_OPEN_AJP_PORT_COMMENT_SLOT'] = \
+                    self.mdict['PKI_PROXY_SECURE_PORT_SLOT'] = ""
+                    self.mdict['PKI_PROXY_UNSECURE_PORT_SLOT'] = ""
+                    self.mdict['PKI_OPEN_AJP_PORT_COMMENT_SLOT'] = \
                         "<!--"
-                    self.pki_master_dict['PKI_OPEN_ENABLE_PROXY_COMMENT_SLOT'] = \
+                    self.mdict['PKI_OPEN_ENABLE_PROXY_COMMENT_SLOT'] = \
                         "<!--"
-                if (config.str2bool(self.pki_master_dict['pki_standalone'])):
+                if (config.str2bool(self.mdict['pki_standalone'])):
                     # Stand-alone PKI
-                    self.pki_master_dict['PKI_CLOSE_STANDALONE_COMMENT_SLOT'] = \
+                    self.mdict['PKI_CLOSE_STANDALONE_COMMENT_SLOT'] = \
                         ""
-                    self.pki_master_dict['PKI_OPEN_STANDALONE_COMMENT_SLOT'] = \
+                    self.mdict['PKI_OPEN_STANDALONE_COMMENT_SLOT'] = \
                         ""
-                    self.pki_master_dict['PKI_STANDALONE_SLOT'] = "true"
+                    self.mdict['PKI_STANDALONE_SLOT'] = "true"
                 else:
-                    self.pki_master_dict['PKI_CLOSE_STANDALONE_COMMENT_SLOT'] = \
+                    self.mdict['PKI_CLOSE_STANDALONE_COMMENT_SLOT'] = \
                         "-->"
-                    self.pki_master_dict['PKI_OPEN_STANDALONE_COMMENT_SLOT'] = \
+                    self.mdict['PKI_OPEN_STANDALONE_COMMENT_SLOT'] = \
                         "<!--"
-                    self.pki_master_dict['PKI_STANDALONE_SLOT'] = "false"
-                if (config.str2bool(self.pki_master_dict['pki_enable_access_log'])):
-                    self.pki_master_dict['PKI_CLOSE_TOMCAT_ACCESS_LOG_COMMENT_SLOT'] = \
+                    self.mdict['PKI_STANDALONE_SLOT'] = "false"
+                if (config.str2bool(self.mdict['pki_enable_access_log'])):
+                    self.mdict['PKI_CLOSE_TOMCAT_ACCESS_LOG_COMMENT_SLOT'] = \
                         ""
-                    self.pki_master_dict['PKI_OPEN_TOMCAT_ACCESS_LOG_COMMENT_SLOT'] = \
+                    self.mdict['PKI_OPEN_TOMCAT_ACCESS_LOG_COMMENT_SLOT'] = \
                         ""
                 else:
-                    self.pki_master_dict['PKI_CLOSE_TOMCAT_ACCESS_LOG_COMMENT_SLOT'] = \
+                    self.mdict['PKI_CLOSE_TOMCAT_ACCESS_LOG_COMMENT_SLOT'] = \
                         "-->"
-                    self.pki_master_dict['PKI_OPEN_TOMCAT_ACCESS_LOG_COMMENT_SLOT'] = \
+                    self.mdict['PKI_OPEN_TOMCAT_ACCESS_LOG_COMMENT_SLOT'] = \
                         "<!--"
-                self.pki_master_dict['PKI_TMPDIR_SLOT'] = \
-                    self.pki_master_dict['pki_tomcat_tmpdir_path']
-                self.pki_master_dict['PKI_RESTEASY_LIB_SLOT'] = \
-                    self.pki_master_dict['resteasy_lib']
-                self.pki_master_dict['PKI_RANDOM_NUMBER_SLOT'] = \
-                    self.pki_master_dict['pki_one_time_pin']
-                self.pki_master_dict['PKI_SECURE_PORT_SLOT'] = \
-                    self.pki_master_dict['pki_https_port']
-                self.pki_master_dict['PKI_SECURE_PORT_CONNECTOR_NAME_SLOT'] = \
+                self.mdict['PKI_TMPDIR_SLOT'] = \
+                    self.mdict['pki_tomcat_tmpdir_path']
+                self.mdict['PKI_RESTEASY_LIB_SLOT'] = \
+                    self.mdict['resteasy_lib']
+                self.mdict['PKI_RANDOM_NUMBER_SLOT'] = \
+                    self.mdict['pki_one_time_pin']
+                self.mdict['PKI_SECURE_PORT_SLOT'] = \
+                    self.mdict['pki_https_port']
+                self.mdict['PKI_SECURE_PORT_CONNECTOR_NAME_SLOT'] = \
                     "Secure"
-                self.pki_master_dict['PKI_SECURE_PORT_SERVER_COMMENT_SLOT'] = \
+                self.mdict['PKI_SECURE_PORT_SERVER_COMMENT_SLOT'] = \
                     "<!-- " + \
                     "Shared Ports:  Agent, EE, and Admin Secure Port Connector " + \
                     "-->"
-                self.pki_master_dict['PKI_SECURITY_MANAGER_SLOT'] = \
-                    self.pki_master_dict['pki_security_manager']
-                self.pki_master_dict['PKI_SERVER_XML_CONF_SLOT'] = \
-                    self.pki_master_dict['pki_target_server_xml']
-                self.pki_master_dict['PKI_SSL_SERVER_NICKNAME_SLOT'] = \
-                    self.pki_master_dict['pki_ssl_server_nickname']
-                self.pki_master_dict['PKI_SUBSYSTEM_TYPE_SLOT'] = \
-                    self.pki_master_dict['pki_subsystem'].lower()
-                self.pki_master_dict['PKI_SYSTEMD_SERVICENAME_SLOT'] = \
+                self.mdict['PKI_SECURITY_MANAGER_SLOT'] = \
+                    self.mdict['pki_security_manager']
+                self.mdict['PKI_SERVER_XML_CONF_SLOT'] = \
+                    self.mdict['pki_target_server_xml']
+                self.mdict['PKI_SSL_SERVER_NICKNAME_SLOT'] = \
+                    self.mdict['pki_ssl_server_nickname']
+                self.mdict['PKI_SUBSYSTEM_TYPE_SLOT'] = \
+                    self.mdict['pki_subsystem'].lower()
+                self.mdict['PKI_SYSTEMD_SERVICENAME_SLOT'] = \
                     "pki-tomcatd" + "@" + \
-                    self.pki_master_dict['pki_instance_name'] + ".service"
-                self.pki_master_dict['PKI_UNSECURE_PORT_SLOT'] = \
-                    self.pki_master_dict['pki_http_port']
-                self.pki_master_dict['PKI_UNSECURE_PORT_CONNECTOR_NAME_SLOT'] = \
+                    self.mdict['pki_instance_name'] + ".service"
+                self.mdict['PKI_UNSECURE_PORT_SLOT'] = \
+                    self.mdict['pki_http_port']
+                self.mdict['PKI_UNSECURE_PORT_CONNECTOR_NAME_SLOT'] = \
                     "Unsecure"
-                self.pki_master_dict['PKI_UNSECURE_PORT_SERVER_COMMENT_SLOT'] = \
+                self.mdict['PKI_UNSECURE_PORT_SERVER_COMMENT_SLOT'] = \
                     "<!-- Shared Ports:  Unsecure Port Connector -->"
-                self.pki_master_dict['PKI_USER_SLOT'] = \
-                    self.pki_master_dict['pki_user']
-                self.pki_master_dict['PKI_WEB_SERVER_TYPE_SLOT'] = \
+                self.mdict['PKI_USER_SLOT'] = \
+                    self.mdict['pki_user']
+                self.mdict['PKI_WEB_SERVER_TYPE_SLOT'] = \
                     "tomcat"
-                self.pki_master_dict['PKI_WEBAPPS_NAME_SLOT'] = \
+                self.mdict['PKI_WEBAPPS_NAME_SLOT'] = \
                     "webapps"
-                self.pki_master_dict['TOMCAT_CFG_SLOT'] = \
-                    self.pki_master_dict['pki_target_tomcat_conf']
-                self.pki_master_dict['TOMCAT_INSTANCE_COMMON_LIB_SLOT'] = \
+                self.mdict['TOMCAT_CFG_SLOT'] = \
+                    self.mdict['pki_target_tomcat_conf']
+                self.mdict['TOMCAT_INSTANCE_COMMON_LIB_SLOT'] = \
                     os.path.join(
-                        self.pki_master_dict['pki_tomcat_common_lib_path'],
+                        self.mdict['pki_tomcat_common_lib_path'],
                         "*.jar")
-                self.pki_master_dict['TOMCAT_LOG_DIR_SLOT'] = \
-                    self.pki_master_dict['pki_instance_log_path']
-                self.pki_master_dict['TOMCAT_PIDFILE_SLOT'] = \
-                    "/var/run/pki/tomcat/" + self.pki_master_dict['pki_instance_name'] + ".pid"
-                self.pki_master_dict['TOMCAT_SERVER_PORT_SLOT'] = \
-                    self.pki_master_dict['pki_tomcat_server_port']
-                self.pki_master_dict['TOMCAT_SSL2_CIPHERS_SLOT'] = \
+                self.mdict['TOMCAT_LOG_DIR_SLOT'] = \
+                    self.mdict['pki_instance_log_path']
+                self.mdict['TOMCAT_PIDFILE_SLOT'] = \
+                    "/var/run/pki/tomcat/" + self.mdict['pki_instance_name'] + ".pid"
+                self.mdict['TOMCAT_SERVER_PORT_SLOT'] = \
+                    self.mdict['pki_tomcat_server_port']
+                self.mdict['TOMCAT_SSL2_CIPHERS_SLOT'] = \
                     "-SSL2_RC4_128_WITH_MD5," + \
                     "-SSL2_RC4_128_EXPORT40_WITH_MD5," + \
                     "-SSL2_RC2_128_CBC_WITH_MD5," + \
                     "-SSL2_RC2_128_CBC_EXPORT40_WITH_MD5," + \
                     "-SSL2_DES_64_CBC_WITH_MD5," + \
                     "-SSL2_DES_192_EDE3_CBC_WITH_MD5"
-                self.pki_master_dict['TOMCAT_SSL3_CIPHERS_SLOT'] = \
+                self.mdict['TOMCAT_SSL3_CIPHERS_SLOT'] = \
                     "-SSL3_FORTEZZA_DMS_WITH_NULL_SHA," + \
                     "-SSL3_FORTEZZA_DMS_WITH_RC4_128_SHA," + \
                     "+SSL3_RSA_WITH_RC4_128_SHA," + \
